// ----------------------------------------------------
// KINHELIOS
// ----------------------------------------------------
// BBA - 26/01/2011
// ----------------------------------------------------
// Gestion de l'objet Gestionnaire PRINCIPAL
// ----------------------------------------------------

// ------------------------------------------------------------------------------------------------
// DECLARATION DU L'OBJET PRINCIPAL
function obj_principal(obj_parent)
{
	this.monDoc = obj_parent;
	this.monPanier = this.monDoc.getElementById('panier_data');
	this.maRecherche = this.monDoc.getElementById('recherche_codebarre');
	
	//Affecter des gestion au panier et a la recherche	
	this.maRecherche.gestRechSaisie = new obj_recherche('vte_template_ligneRecherche.html',document);
	this.monPanier.gestPanier = new obj_panier('vte_template_lignePanier.html',document);
	
}

// ----------------------------------------------------
// METHODE DE L'OBJET PRINCIPAL
// ----------------------------------------------------
obj_principal.prototype.charge_templatePanier = function(data)
{
	this.monPanier.gestPanier.template = data;
	alert("Panier : "+this.monPanier.gestPanier.template);
}
obj_principal.prototype.charge_templateRecherche = function(data)
{
	this.maRecherche.gestRechSaisie.template = data;
	alert("Rech : "+this.maRecherche.gestRechSaisie.template);
}
// ----------------------------------------------------
// Fonction pour l'affichage des ecrans
obj_principal.prototype.AFF_Ecran_Init = function(whichLayer)
{
			$("#ent_dem").hide();
			$("#ent_panier").hide();
			$("#ent_rech").hide();
			$("#ent_modif").hide();
			$("#recherche_entete").hide();
			$("#choix_article").hide();
			$("#recherche_photo").hide();
			$("#recherche_codebarre").hide();
			$("#client_data").hide();
		 	$("#panier_data").hide();
		 	$("#pied_page").hide();
		    $("#img_panier").hide();
		 	$("#pied_rech").hide();
		 	$("#demarrage").hide();
		 	$("#ent_visu").hide();
		 	
			switch (whichLayer) 
			{
				 //+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
				 case "#bt_retour_dem":				 	
					var style = CSS_ElementGet("demarrage").style;
		 			if (style.display == 'none') 
		 			{
		 				
		 				$("#corps").css("height", HauteurChoix);
		 				
		 				// Afficher le bon ecran (div)
		 				$("#demarrage").show();
						$("#ent_dem").show();
		 			}
				 	break;
				 //+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
				 case "#bt_photo": // On a cliqué sur le bouton de recherche par photo				 	
				 	var style = CSS_ElementGet("recherche_photo").style;
		 			if (style.display == 'none') 
		 			{
		 				$("#corps").css("height", HauteurChoix);
		 				
		 				// Afficher le bon ecran (div)
		 				$("#ent_rech").show();
						$("#recherche_photo").show();
						$("#bt_modifier_rech").hide();
						
						// Recherche et affichage de la grille de photo
						this.monDoc.gestRequete.REQ_doAjaxFct("recherche_photo_type","get","/KinTPV_Request/VT_RECH_PHOTO_TYPE","","","","",this);
		 			}
				 	break;
				 //+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
				 case "#bt_codebarre":
					var style = CSS_ElementGet("recherche_codebarre").style;
		 			if (style.display == 'none') 
		 			{						
		 				$("#corps").css("height", HauteurChoix);
		 				
		 				// Afficher le bon ecran (div)
		 				$("#ent_rech").show();
		 				$("#recherche_codebarre").show();
		 				$("#recherche_saisie").show();
		 				$("#recherche_liste").show();
						$("#bt_modifier_rech").show();
						$("#zone_chercher").focus();
						
						this.maRecherche.gestRechSaisie.recherche_liste = new Array();
						this.maRecherche.gestRechSaisie.listeRecherche_Afficher();
		 			}
				 	break;
				 //+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
				 case "#bt_retour":				 	
					var style = CSS_ElementGet("panier_data").style;
		 			if (style.display == 'none') 
		 			{
		 				
		 				$("#corps").css("height", HauteurPanier);
		 				
		 				// Afficher le bon ecran (div)
		 				$("#ent_panier").show();
		 				$("#recherche_entete").show();
		 				$("#pied_page").show();
		 				$("#img_panier").show();
		 				$("#panier_data").show();
						
		 			}
				 	break;
				 //+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
				 case "#bt_AffLignePanier":				 	
					var style = CSS_ElementGet("choix_article").style;
		 			if (style.display == 'none') 
		 			{
		 				
		 				$("#corps").css("height", HauteurChoix);
		 				
		 				// Afficher le bon ecran (div)
		 				$("#choix_article").show();
		 				
		 				if(gestionPrincipale=="") $("#ent_modif").show();
		 				if(gestionPrincipale=="CONSULT") $("#ent_visu").show();
		 				
		 				//AFF_PiedPage();
		 			}
				 	break;
                //+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
				 case "bt_retour_panier":				 	
					var style = CSS_ElementGet("panier_data").style;
		 			if (style.display == 'none') 
		 			{
		 				$("#corps").css("height", HauteurPanier);
		 				
		 				// Afficher le bon ecran (div)
		 				$("#ent_panier").show();
		 				$("#recherche_entete").show();
		 				$("#pied_page").show();
		 				$("#img_panier").show();
		 				$("#panier_data").show();
						
		 			}
				 	break;
				 //+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
				 case "bt_retour_recherche":				 	
					var style = CSS_ElementGet("recherche_codebarre").style;
		 			if (style.display == 'none') 
		 			{
		 				$("#corps").css("height", HauteurChoix);
		 				
		 				// Afficher le bon ecran (div)
		 				$("#ent_rech").show();
		 				$("#recherche_codebarre").show();
		 				$("#recherche_saisie").show();
		 				$("#recherche_liste").show();
						
		 			}
				 	break;
				  //+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
				 case "#bt_consult_codebarre":
					var style = CSS_ElementGet("recherche_codebarre").style;
		 			if (style.display == 'none') 
		 			{						
		 				$("#corps").css("height", HauteurChoix);
		 				
		 				// Afficher le bon ecran (div)
		 				$("#ent_panier").show();
		 				$("#recherche_codebarre").show();
		 				$("#recherche_saisie").show();
		 				$("#recherche_liste").show();
						$("#bt_modifier_rech").show();
						$("#zone_chercher").focus();
						
						this.maRecherche.gestRechSaisie.recherche_liste = new Array();
						this.maRecherche.gestRechSaisie.listeRecherche_Afficher();
		 			}
				 	break;
				 //+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
				 case "#bt_consult_retour":
					var style = CSS_ElementGet("recherche_codebarre").style;
		 			if (style.display == 'none') 
		 			{						
		 				$("#corps").css("height", HauteurChoix);
		 				
		 				// Afficher le bon ecran (div)
		 				$("#ent_panier").show();
		 				$("#recherche_codebarre").show();
		 				$("#recherche_saisie").show();
		 				$("#recherche_liste").show();
						$("#bt_modifier_rech").show();
						
		 			}
				 	break;
			}
}

// ----------------------------------------------------
// Fonction pour l'ajout d'une selection d'article au panier
obj_principal.prototype.ART_AjoutPanierSelection = function()
{

	//++++++++++++++++++++++++++++++++++++++++++++++++
	// On boucle sur chaque ligne pour la sauvegarde
	for (i=0; i<this.maRecherche.gestRechSaisie.recherche_liste.length; i++)
	{			
		if(this.maRecherche.gestRechSaisie.recherche_liste[i].choix == true)
		{				
			var prixLigne = this.maRecherche.gestRechSaisie.recherche_liste[i].prixUnitaire *this.maRecherche.gestRechSaisie.recherche_liste[i].qte;
			
			//++++++++++++++++++++++++++++++++++++++++++++++++
			// Ajout d'une ligne de reherche dans le tableau Panier
			this.monPanier.gestPanier.panier_liste.push(new obj_panier_ligne(this.maRecherche.gestRechSaisie.recherche_liste[i])); 
		}
	}	
	
	this.monPanier.gestPanier.listePanier_Afficher();
}

// ----------------------------------------------------
// 
obj_principal.prototype.ART_AjoutPanierUneLigne = function()
{
	this.monPanier.gestPanier.ajouterArticle();
	this.monPanier.gestPanier.listePanier_Afficher();
}

// ----------------------------------------------------
// envoi du panier complet a KINTPV
obj_principal.prototype.envoi_panier = function()
{
	this.monPanier.gestPanier.listePanier_Envoyer();
	this.monPanier.gestPanier.listePanier_Vider();
}

// ----------------------------------------------------
// vider du panier complet a KINTPV
obj_principal.prototype.vider_panier = function()
{
	this.monPanier.gestPanier.listePanier_Vider();
}

// ----------------------------------------------------
// 
obj_principal.prototype.valider_pageModifPanier = function()
{
	this.monPanier.gestPanier.listePanier_Modifier();
	this.monPanier.gestPanier.listePanier_Afficher();
}

// ----------------------------------------------------
// 
obj_principal.prototype.valider_pageModifRecherche = function()
{
	this.maRecherche.gestRechSaisie.listeRecherche_Modifier();
	this.maRecherche.gestRechSaisie.listeRecherche_Afficher();
}

